Bug 1057695 - mod_deflate does not decompress files larger than 4GB
Summary: mod_deflate does not decompress files larger than 4GB
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: httpd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Web Stack Team
QA Contact: Filip Holec
URL:
Whiteboard:
Depends On:
Blocks: 1170214
TreeView+ depends on / blocked
 
Reported: 2014-01-24 15:51 UTC by Lukas Bezdicka
Modified: 2016-04-18 10:26 UTC (History)
5 users (show)

Fixed In Version: httpd-2.2.15-40.el6
Doc Type: Bug Fix
Doc Text:
The mod_deflate module failed to check the original file size while extracting files larger than 4 GB, making it impossible to extract large files. Now, mod_deflate checks the original file size properly according to RFC1952, and it is able to decompress files larger than 4 GB.
Clone Of:
: 1170214 (view as bug list)
Environment:
Last Closed: 2015-07-22 05:52:55 UTC


Attachments (Terms of Use)
patch to allow decompression of files larger than 4GB (1.78 KB, text/plain)
2014-01-24 15:51 UTC, Lukas Bezdicka
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1249 normal SHIPPED_LIVE Low: httpd security, bug fix, and enhancement update 2015-07-20 17:50:12 UTC
Apache Bugzilla 56062 None None None Never

Description Lukas Bezdicka 2014-01-24 15:51:49 UTC
Created attachment 855063 [details]
patch to allow decompression of files larger than 4GB

Description of problem:
Upload of compressed file that is originally larger than 4GB ends up with "Could not get next bucket brigade  [500, #0]". This is caused by by mod_deflate failing to check original file size. The check has to use modulo 2^32. Please see attached patch.

Version-Release number of selected component (if applicable):
all httpd versions in RHEL6

How reproducible:
always

Steps to Reproduce:
1. grab text file bigger than 4GB
2. setup webdav on httpd
3. cat gile | gzip |  curl-S -T - --header 'Content-encoding: deflate' --header 'Content-encoding: gzip' 'https://your webdav url/file'

Actual results:
Could not get next bucket brigade  [500, #0]

Expected results:
successful upload

Additional info:

Comment 2 Joe Orton 2014-02-13 13:38:05 UTC
Thanks for the patch, have you contributed that upstream?   dev@httpd.apache.org always welcomes patches!

If this issue is critical or in any way time sensitive, please raise a ticket through your regular Red Hat support channels to make certain it receives the proper attention and prioritization to assure a timely resolution.

For information on how to contact the Red Hat production support team, please
visit: https://www.redhat.com/support/process/production/#howto

Comment 3 Lukas Bezdicka 2014-02-13 13:43:12 UTC
Well I opend upstream ticket http://issues.apache.org/bugzilla/show_bug.cgi?id=56062 that should reach them, shouldn't it?

Comment 4 Jan Kaluža 2014-02-26 15:52:30 UTC
I have reviewed and committed your patch into httpd-trunk.

Comment 11 errata-xmlrpc 2015-07-22 05:52:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1249.html


Note You need to log in before you can comment on or make changes to this bug.